Subject: Re: [ANNOUNCE] Git 1.7.9

From: Jakub Narebski <[email-masked]>
Date: Fri, 3 Feb 2012 21:55:25 +0100

On Fri, 3 Feb 2012, Junio C Hamano wrote:
> Jakub Narebski <[email-masked]> writes:

>>>>  RPM build errors:
>>>>     Installed (but unpackaged) file(s) found:
>>>>    /usr/share/locale/is/LC_MESSAGES/git.mo
>>>>
>>> 
>>> I think it should be simply ignored at least for now.  I stopped touching
>>> the rpm spec since August last year (the only reason I was running rpmbuild
>>> was to install them on k.org), so I didn't notice.
>>
>> So for the time being something like that would be an acceptable fix?
> 
> Except that the patch probably wants to go to git.spec.in, removing that
> installation target would be a good local workaround for now.

O.K., will do.

Anyway this change makes rpmbuild process complete.
 
> I said "local workaround", meaning that I am not all that interested in
> applying such a patch myself.  Somebody who wants to do RPM needs to
> decide what subpackage(s) it should go before we start accepting more po/
> files, and at that time the workaround needs to be reverted.
> 
> And hopefully that should happen soonish ;-)

The git-i18n-Icelandic proposal for /usr/share/locale/is/LC_MESSAGES/git.mo
follow the KDE pattern (e.g. kde-i18n-Polish).  This might be a place for
translated manpages and other documentation, if there is any.

On the other hand all translations for gitk are in gitk package
(as /usr/share/gitk/lib/msgs/*.msg, not /usr/share/locale/*/LC_MESSAGES/git.mo)
Same for git-gui.

-- 
Jakub Narebski
Poland